Using (q)nutconf on a recent Linux/Ubuntu

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Using (q)nutconf on a recent Linux/Ubuntu

Philipp Burch-2
Hi everyone,

I was trying to use/rebuild qnutconf, but failed due to missing
dependencies. It seems that it still depends on Lua 5.1 and Qt4, both of
which are no longer officially supported on Ubuntu 20.04. Has anyone
updated the Ethernut tools to a more recent version of these libraries?

Thanks and best regards,
Philipp
_______________________________________________
http://lists.egnite.de/mailman/listinfo/en-nut-discussion
Reply | Threaded
Open this post in threaded view
|

Re: Using (q)nutconf on a recent Linux/Ubuntu

Uwe Bonnes
Philipp Burch writes:

> Hi everyone,
>
> I was trying to use/rebuild qnutconf, but failed due to missing
> dependencies. It seems that it still depends on Lua 5.1 and Qt4, both of
> which are no longer officially supported on Ubuntu 20.04. Has anyone
> updated the Ethernut tools to a more recent version of these libraries?
>
> Thanks and best regards,
> Philipp
> _______________________________________________
Did you try with cmake?
--
Uwe Bonnes                [hidden email]

Institut fuer Kernphysik  Schlossgartenstrasse 9  64289 Darmstadt
--------- Tel. 06151 1623569 ------- Fax. 06151 1623305 ---------
_______________________________________________
http://lists.egnite.de/mailman/listinfo/en-nut-discussion
Reply | Threaded
Open this post in threaded view
|

Re: Using (q)nutconf on a recent Linux/Ubuntu

Philipp Burch-2
Hi Uwe!

On 03.09.20 18:01, [hidden email] wrote:

> Did you try with cmake?
>

I did, but at least the dependency for Qt4 is in the source code. The
first error is a missing header QAction, which is no longer in the QtGui
folder. I doubt that there is some kind of automatic migration, but it
is probably not too hard to do it by hand:

https://wiki.qt.io/Transition_from_Qt_4.x_to_Qt5

If nobody else has done that yet, I'll try to find some time to address
the issue.

Regards,
Philipp
_______________________________________________
http://lists.egnite.de/mailman/listinfo/en-nut-discussion